org.h2.util

## Class New

- java.lang.Object
- - org.h2.util.New

    public class New
    extends java.lang.Object

This class contains static methods to construct commonly used generic objects such as ArrayList.

### Constructor Summary

Constructors
Constructor and Description
`New()`

### Method Summary

Methods
`static <T> java.util.ArrayList<T>` `arrayList()` Create a new ArrayList.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### New

    public New()

### Method Detail

#### arrayList

    public static <T> java.util.ArrayList<T> arrayList()

Create a new ArrayList.

Type Parameters:
  `T` - the type
Returns:
  the object